Package es.imim.DISGENET.network.colorMapping

# Class ColorTable

java.lang.Object
es.imim.DISGENET.network.colorMapping.ColorTable

public class ColorTable extends Object
This class provides utility methods for creating and managing color tables in Cytoscape networks.

## Constructor Summary

Constructors
Constructor
Description
`ColorTable()`
Default constructor for ColorTable.

## Method Summary

Modifier and Type
Method
Description
`static org.cytoscape.model.CyTable`
`CreateColorTable(org.cytoscape.model.CyNetwork cyNet)`
Creates a color table for the given Cytoscape network.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorTable

public ColorTable()
Default constructor for ColorTable. Initializes the class with default settings.

## Method Details

### CreateColorTable

public static org.cytoscape.model.CyTable CreateColorTable(org.cytoscape.model.CyNetwork cyNet)
Creates a color table for the given Cytoscape network. Adds columns to the table based on disease color mappings.

Parameters:
  `cyNet` - The Cytoscape network to create the color table for.
Returns:
  The created color table.